# Makefile.in generated by automake 1.16.5 from Makefile.am.
# @configure_input@

# Copyright (C) 1994-2021 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

VPATH = @srcdir@
am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkglibexecdir = $(libexecdir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = @build@
host_triplet = @host@
@DOCUMENT_AVAILABLE_TRUE@am__append_1 = \
@DOCUMENT_AVAILABLE_TRUE@	$(nobase_dist_doc_locale_DATA)

@DOCUMENT_BUILDABLE_TRUE@am__append_2 = $(required_build_stamps)
subdir = doc/locale/en
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/version_major $(top_srcdir)/version_minor \
	$(top_srcdir)/version_micro $(top_srcdir)/version_full \
	$(top_srcdir)/version_in_hex $(top_srcdir)/plugin_version \
	$(top_srcdir)/required_groonga_version \
	$(top_srcdir)/required_groonga_normalizer_mysql_version \
	$(top_srcdir)/package_groonga_version \
	$(top_srcdir)/package_mariadb_version \
	$(top_srcdir)/package_groonga_normalizer_mysql_version \
	$(top_srcdir)/gpg_uid $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am \
	$(am__nobase_dist_doc_locale_DATA_DIST) $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_@AM_V@)
am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_@AM_V@)
am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_@AM_V@)
am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
	ctags-recursive dvi-recursive html-recursive info-recursive \
	install-data-recursive install-dvi-recursive \
	install-exec-recursive install-html-recursive \
	install-info-recursive install-pdf-recursive \
	install-ps-recursive install-recursive installcheck-recursive \
	installdirs-recursive pdf-recursive ps-recursive \
	tags-recursive uninstall-recursive
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
man1dir = $(mandir)/man1
am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(doc_localedir)"
NROFF = nroff
MANS = $(dist_man1_MANS)
DATA = $(nobase_dist_doc_locale_DATA)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
  distclean-recursive maintainer-clean-recursive
am__recursive_targets = \
  $(RECURSIVE_TARGETS) \
  $(RECURSIVE_CLEAN_TARGETS) \
  $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
	distdir distdir-am
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
DIST_SUBDIRS = $(SUBDIRS)
am__DIST_COMMON = $(dist_man1_MANS) $(srcdir)/Makefile.in \
	$(top_srcdir)/build/makefiles/locale.am \
	$(top_srcdir)/build/makefiles/sphinx-build.am \
	$(top_srcdir)/build/makefiles/sphinx.am \
	$(top_srcdir)/doc/files.am
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
am__relativize = \
  dir0=`pwd`; \
  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
  sed_rest='s,^[^/]*/*,,'; \
  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
  sed_butlast='s,/*[^/]*$$,,'; \
  while test -n "$$dir1"; do \
    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    if test "$$first" != "."; then \
      if test "$$first" = ".."; then \
        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
      else \
        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
        if test "$$first2" = "$$first"; then \
          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
        else \
          dir2="../$$dir2"; \
        fi; \
        dir0="$$dir0"/"$$first"; \
      fi; \
    fi; \
    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
  done; \
  reldir="$$dir2"
ACLOCAL = @ACLOCAL@
AMTAR = @AMTAR@
AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
AR = @AR@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CC = @CC@
CCDEPMODE = @CCDEPMODE@
CFLAGS = @CFLAGS@
CPP = @CPP@
CPPFLAGS = @CPPFLAGS@
CSCOPE = @CSCOPE@
CTAGS = @CTAGS@
CXX = @CXX@
CXXCPP = @CXXCPP@
CXXDEPMODE = @CXXDEPMODE@
CXXFLAGS = @CXXFLAGS@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DOCUMENT_VERSION = @DOCUMENT_VERSION@
DOCUMENT_VERSION_FULL = @DOCUMENT_VERSION_FULL@
DSYMUTIL = @DSYMUTIL@
DUMPBIN = @DUMPBIN@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
EGREP = @EGREP@
ETAGS = @ETAGS@
EXEEXT = @EXEEXT@
FGREP = @FGREP@
FILECMD = @FILECMD@
GPG_UID = @GPG_UID@
GREP = @GREP@
GROONGA_CFLAGS = @GROONGA_CFLAGS@
GROONGA_LIBS = @GROONGA_LIBS@
GROONGA_SOURCE_PATH = @GROONGA_SOURCE_PATH@
GROONGA_VERSION = @GROONGA_VERSION@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LAUNCHPAD_PPA = @LAUNCHPAD_PPA@
LAUNCHPAD_UPLOADER_PGP_KEY = @LAUNCHPAD_UPLOADER_PGP_KEY@
LD = @LD@
LDFLAGS = @LDFLAGS@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LIBTOOL = @LIBTOOL@
LIPO = @LIPO@
LN_S = @LN_S@
LTLIBOBJS = @LTLIBOBJS@
LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
MAKEINFO = @MAKEINFO@
MANIFEST_TOOL = @MANIFEST_TOOL@
MKDIR_P = @MKDIR_P@
MRN_BUNDLED = @MRN_BUNDLED@
MRN_PACKAGE_STRING = @MRN_PACKAGE_STRING@
MRN_PLUGIN_SUFFIX = @MRN_PLUGIN_SUFFIX@
MRN_PLUGIN_VERSION = @MRN_PLUGIN_VERSION@
MRN_VERSION_FULL = @MRN_VERSION_FULL@
MRN_VERSION_IN_HEX = @MRN_VERSION_IN_HEX@
MRN_VERSION_MAJOR = @MRN_VERSION_MAJOR@
MRN_VERSION_MICRO = @MRN_VERSION_MICRO@
MRN_VERSION_MINOR = @MRN_VERSION_MINOR@
MROONGA_GITHUB_COM_PATH = @MROONGA_GITHUB_COM_PATH@
MYSQL_BUILD_DIR = @MYSQL_BUILD_DIR@
MYSQL_CFLAGS = @MYSQL_CFLAGS@
MYSQL_INCLUDES = @MYSQL_INCLUDES@
MYSQL_LIBS = @MYSQL_LIBS@
MYSQL_SOURCE_DIR = @MYSQL_SOURCE_DIR@
MYSQL_VERSION = @MYSQL_VERSION@
NM = @NM@
NMEDIT = @NMEDIT@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
OTOOL = @OTOOL@
OTOOL64 = @OTOOL64@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_GROONGA_NORMALIZER_MYSQL_VERSION = @PACKAGE_GROONGA_NORMALIZER_MYSQL_VERSION@
PACKAGE_GROONGA_VERSION = @PACKAGE_GROONGA_VERSION@
PACKAGE_MARIADB_VERSION = @PACKAGE_MARIADB_VERSION@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_URL = @PACKAGE_URL@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
RANLIB = @RANLIB@
REQUIRED_GROONGA_VERSION = @REQUIRED_GROONGA_VERSION@
RSYNC_PATH = @RSYNC_PATH@
SED = @SED@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
SPHINX_BUILD = @SPHINX_BUILD@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
ac_ct_AR = @ac_ct_AR@
ac_ct_CC = @ac_ct_CC@
ac_ct_CXX = @ac_ct_CXX@
ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
ac_mysql_config = @ac_mysql_config@
am__include = @am__include@
am__leading_dot = @am__leading_dot@
am__quote = @am__quote@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build = @build@
build_alias = @build_alias@
build_cpu = @build_cpu@
build_os = @build_os@
build_vendor = @build_vendor@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host = @host@
host_alias = @host_alias@
host_cpu = @host_cpu@
host_os = @host_os@
host_vendor = @host_vendor@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
plugindir = @plugindir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
runstatedir = @runstatedir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
LOCALE = en
SUBDIRS = LC_MESSAGES
BUILT_SOURCES = 
EXTRA_DIST = $(am__append_2)
absolute_source_files = \
	$(top_srcdir)/doc/source/_static/favicon.ico \
	$(top_srcdir)/doc/source/_static/mroonga.png \
	$(top_srcdir)/doc/source/_static/switcher.json \
	$(top_srcdir)/doc/source/characteristic.rst \
	$(top_srcdir)/doc/source/community.rst \
	$(top_srcdir)/doc/source/conf.py \
	$(top_srcdir)/doc/source/contribution.rst \
	$(top_srcdir)/doc/source/contribution/documentation.md \
	$(top_srcdir)/doc/source/contribution/report.rst \
	$(top_srcdir)/doc/source/developer.rst \
	$(top_srcdir)/doc/source/developer/coding_style.rst \
	$(top_srcdir)/doc/source/developer/debug.md \
	$(top_srcdir)/doc/source/developer/release.rst \
	$(top_srcdir)/doc/source/faq.rst \
	$(top_srcdir)/doc/source/faq/mmap_cannot_allocate_memory.rst \
	$(top_srcdir)/doc/source/images/mroonga.png \
	$(top_srcdir)/doc/source/images/mroonga.svg \
	$(top_srcdir)/doc/source/images/storage-mode.png \
	$(top_srcdir)/doc/source/images/storage-mode.svg \
	$(top_srcdir)/doc/source/images/wrapper-mode.png \
	$(top_srcdir)/doc/source/images/wrapper-mode.svg \
	$(top_srcdir)/doc/source/index.rst \
	$(top_srcdir)/doc/source/install.rst \
	$(top_srcdir)/doc/source/install/32bit-note.inc \
	$(top_srcdir)/doc/source/install/almalinux.rst \
	$(top_srcdir)/doc/source/install/centos.md \
	$(top_srcdir)/doc/source/install/debian.rst \
	$(top_srcdir)/doc/source/install/docker.rst \
	$(top_srcdir)/doc/source/install/fedora.rst \
	$(top_srcdir)/doc/source/install/macos.rst \
	$(top_srcdir)/doc/source/install/oracle-linux.rst \
	$(top_srcdir)/doc/source/install/others.md \
	$(top_srcdir)/doc/source/install/ubuntu.rst \
	$(top_srcdir)/doc/source/install/windows.rst \
	$(top_srcdir)/doc/source/news.rst \
	$(top_srcdir)/doc/source/news/0.rst \
	$(top_srcdir)/doc/source/news/1.rst \
	$(top_srcdir)/doc/source/news/10.rst \
	$(top_srcdir)/doc/source/news/11.rst \
	$(top_srcdir)/doc/source/news/12.rst \
	$(top_srcdir)/doc/source/news/13.md \
	$(top_srcdir)/doc/source/news/14.md \
	$(top_srcdir)/doc/source/news/15.md \
	$(top_srcdir)/doc/source/news/16.md \
	$(top_srcdir)/doc/source/news/2.rst \
	$(top_srcdir)/doc/source/news/3.rst \
	$(top_srcdir)/doc/source/news/4.rst \
	$(top_srcdir)/doc/source/news/5.rst \
	$(top_srcdir)/doc/source/news/6.rst \
	$(top_srcdir)/doc/source/news/7.rst \
	$(top_srcdir)/doc/source/news/8.rst \
	$(top_srcdir)/doc/source/news/9.rst \
	$(top_srcdir)/doc/source/reference.rst \
	$(top_srcdir)/doc/source/reference/full_text_search.rst \
	$(top_srcdir)/doc/source/reference/full_text_search/boolean_mode.rst \
	$(top_srcdir)/doc/source/reference/full_text_search/scoring.rst \
	$(top_srcdir)/doc/source/reference/limitations.rst \
	$(top_srcdir)/doc/source/reference/optimizations.rst \
	$(top_srcdir)/doc/source/reference/server_variables.rst \
	$(top_srcdir)/doc/source/reference/sql_commands.rst \
	$(top_srcdir)/doc/source/reference/status_variables.rst \
	$(top_srcdir)/doc/source/reference/udf.rst \
	$(top_srcdir)/doc/source/reference/udf/mroonga_command.rst \
	$(top_srcdir)/doc/source/reference/udf/mroonga_escape.rst \
	$(top_srcdir)/doc/source/reference/udf/mroonga_highlight_html.rst \
	$(top_srcdir)/doc/source/reference/udf/mroonga_last_insert_grn_id.rst \
	$(top_srcdir)/doc/source/reference/udf/mroonga_normalize.rst \
	$(top_srcdir)/doc/source/reference/udf/mroonga_snippet.rst \
	$(top_srcdir)/doc/source/reference/udf/mroonga_snippet_html.rst \
	$(top_srcdir)/doc/source/tutorial.rst \
	$(top_srcdir)/doc/source/tutorial/installation_check.rst \
	$(top_srcdir)/doc/source/tutorial/mode.rst \
	$(top_srcdir)/doc/source/tutorial/storage.rst \
	$(top_srcdir)/doc/source/tutorial/tokenizer-list.inc \
	$(top_srcdir)/doc/source/tutorial/wrapper.rst \
	$(top_srcdir)/doc/source/upgrade.rst \
	$(NULL)

source_files_relative_from_doc_dir = \
	source/_static/favicon.ico \
	source/_static/mroonga.png \
	source/_static/switcher.json \
	source/characteristic.rst \
	source/community.rst \
	source/conf.py \
	source/contribution.rst \
	source/contribution/documentation.md \
	source/contribution/report.rst \
	source/developer.rst \
	source/developer/coding_style.rst \
	source/developer/debug.md \
	source/developer/release.rst \
	source/faq.rst \
	source/faq/mmap_cannot_allocate_memory.rst \
	source/images/mroonga.png \
	source/images/mroonga.svg \
	source/images/storage-mode.png \
	source/images/storage-mode.svg \
	source/images/wrapper-mode.png \
	source/images/wrapper-mode.svg \
	source/index.rst \
	source/install.rst \
	source/install/32bit-note.inc \
	source/install/almalinux.rst \
	source/install/centos.md \
	source/install/debian.rst \
	source/install/docker.rst \
	source/install/fedora.rst \
	source/install/macos.rst \
	source/install/oracle-linux.rst \
	source/install/others.md \
	source/install/ubuntu.rst \
	source/install/windows.rst \
	source/news.rst \
	source/news/0.rst \
	source/news/1.rst \
	source/news/10.rst \
	source/news/11.rst \
	source/news/12.rst \
	source/news/13.md \
	source/news/14.md \
	source/news/15.md \
	source/news/16.md \
	source/news/2.rst \
	source/news/3.rst \
	source/news/4.rst \
	source/news/5.rst \
	source/news/6.rst \
	source/news/7.rst \
	source/news/8.rst \
	source/news/9.rst \
	source/reference.rst \
	source/reference/full_text_search.rst \
	source/reference/full_text_search/boolean_mode.rst \
	source/reference/full_text_search/scoring.rst \
	source/reference/limitations.rst \
	source/reference/optimizations.rst \
	source/reference/server_variables.rst \
	source/reference/sql_commands.rst \
	source/reference/status_variables.rst \
	source/reference/udf.rst \
	source/reference/udf/mroonga_command.rst \
	source/reference/udf/mroonga_escape.rst \
	source/reference/udf/mroonga_highlight_html.rst \
	source/reference/udf/mroonga_last_insert_grn_id.rst \
	source/reference/udf/mroonga_normalize.rst \
	source/reference/udf/mroonga_snippet.rst \
	source/reference/udf/mroonga_snippet_html.rst \
	source/tutorial.rst \
	source/tutorial/installation_check.rst \
	source/tutorial/mode.rst \
	source/tutorial/storage.rst \
	source/tutorial/tokenizer-list.inc \
	source/tutorial/wrapper.rst \
	source/upgrade.rst \
	$(NULL)

po_files = \
	characteristic.po \
	community.po \
	conf.po \
	contribution.po \
	contribution/documentation.po \
	contribution/report.po \
	developer.po \
	developer/coding_style.po \
	developer/debug.po \
	developer/release.po \
	faq.po \
	faq/mmap_cannot_allocate_memory.po \
	index.po \
	install.po \
	install/almalinux.po \
	install/centos.po \
	install/debian.po \
	install/docker.po \
	install/fedora.po \
	install/macos.po \
	install/oracle-linux.po \
	install/others.po \
	install/ubuntu.po \
	install/windows.po \
	news.po \
	news/0.po \
	news/1.po \
	news/10.po \
	news/11.po \
	news/12.po \
	news/13.po \
	news/14.po \
	news/15.po \
	news/16.po \
	news/2.po \
	news/3.po \
	news/4.po \
	news/5.po \
	news/6.po \
	news/7.po \
	news/8.po \
	news/9.po \
	reference.po \
	reference/full_text_search.po \
	reference/full_text_search/boolean_mode.po \
	reference/full_text_search/scoring.po \
	reference/limitations.po \
	reference/optimizations.po \
	reference/server_variables.po \
	reference/sql_commands.po \
	reference/status_variables.po \
	reference/udf.po \
	reference/udf/mroonga_command.po \
	reference/udf/mroonga_escape.po \
	reference/udf/mroonga_highlight_html.po \
	reference/udf/mroonga_last_insert_grn_id.po \
	reference/udf/mroonga_normalize.po \
	reference/udf/mroonga_snippet.po \
	reference/udf/mroonga_snippet_html.po \
	tutorial.po \
	tutorial/installation_check.po \
	tutorial/mode.po \
	tutorial/storage.po \
	tutorial/wrapper.po \
	upgrade.po \
	$(NULL)

po_files_relative_from_locale_dir = \
	LC_MESSAGES/characteristic.po \
	LC_MESSAGES/community.po \
	LC_MESSAGES/conf.po \
	LC_MESSAGES/contribution.po \
	LC_MESSAGES/contribution/documentation.po \
	LC_MESSAGES/contribution/report.po \
	LC_MESSAGES/developer.po \
	LC_MESSAGES/developer/coding_style.po \
	LC_MESSAGES/developer/debug.po \
	LC_MESSAGES/developer/release.po \
	LC_MESSAGES/faq.po \
	LC_MESSAGES/faq/mmap_cannot_allocate_memory.po \
	LC_MESSAGES/index.po \
	LC_MESSAGES/install.po \
	LC_MESSAGES/install/almalinux.po \
	LC_MESSAGES/install/centos.po \
	LC_MESSAGES/install/debian.po \
	LC_MESSAGES/install/docker.po \
	LC_MESSAGES/install/fedora.po \
	LC_MESSAGES/install/macos.po \
	LC_MESSAGES/install/oracle-linux.po \
	LC_MESSAGES/install/others.po \
	LC_MESSAGES/install/ubuntu.po \
	LC_MESSAGES/install/windows.po \
	LC_MESSAGES/news.po \
	LC_MESSAGES/news/0.po \
	LC_MESSAGES/news/1.po \
	LC_MESSAGES/news/10.po \
	LC_MESSAGES/news/11.po \
	LC_MESSAGES/news/12.po \
	LC_MESSAGES/news/13.po \
	LC_MESSAGES/news/14.po \
	LC_MESSAGES/news/15.po \
	LC_MESSAGES/news/16.po \
	LC_MESSAGES/news/2.po \
	LC_MESSAGES/news/3.po \
	LC_MESSAGES/news/4.po \
	LC_MESSAGES/news/5.po \
	LC_MESSAGES/news/6.po \
	LC_MESSAGES/news/7.po \
	LC_MESSAGES/news/8.po \
	LC_MESSAGES/news/9.po \
	LC_MESSAGES/reference.po \
	LC_MESSAGES/reference/full_text_search.po \
	LC_MESSAGES/reference/full_text_search/boolean_mode.po \
	LC_MESSAGES/reference/full_text_search/scoring.po \
	LC_MESSAGES/reference/limitations.po \
	LC_MESSAGES/reference/optimizations.po \
	LC_MESSAGES/reference/server_variables.po \
	LC_MESSAGES/reference/sql_commands.po \
	LC_MESSAGES/reference/status_variables.po \
	LC_MESSAGES/reference/udf.po \
	LC_MESSAGES/reference/udf/mroonga_command.po \
	LC_MESSAGES/reference/udf/mroonga_escape.po \
	LC_MESSAGES/reference/udf/mroonga_highlight_html.po \
	LC_MESSAGES/reference/udf/mroonga_last_insert_grn_id.po \
	LC_MESSAGES/reference/udf/mroonga_normalize.po \
	LC_MESSAGES/reference/udf/mroonga_snippet.po \
	LC_MESSAGES/reference/udf/mroonga_snippet_html.po \
	LC_MESSAGES/tutorial.po \
	LC_MESSAGES/tutorial/installation_check.po \
	LC_MESSAGES/tutorial/mode.po \
	LC_MESSAGES/tutorial/storage.po \
	LC_MESSAGES/tutorial/wrapper.po \
	LC_MESSAGES/upgrade.po \
	$(NULL)

edit_po_files = \
	characteristic.edit \
	community.edit \
	conf.edit \
	contribution.edit \
	contribution/documentation.edit \
	contribution/report.edit \
	developer.edit \
	developer/coding_style.edit \
	developer/debug.edit \
	developer/release.edit \
	faq.edit \
	faq/mmap_cannot_allocate_memory.edit \
	index.edit \
	install.edit \
	install/almalinux.edit \
	install/centos.edit \
	install/debian.edit \
	install/docker.edit \
	install/fedora.edit \
	install/macos.edit \
	install/oracle-linux.edit \
	install/others.edit \
	install/ubuntu.edit \
	install/windows.edit \
	news.edit \
	news/0.edit \
	news/1.edit \
	news/10.edit \
	news/11.edit \
	news/12.edit \
	news/13.edit \
	news/14.edit \
	news/15.edit \
	news/16.edit \
	news/2.edit \
	news/3.edit \
	news/4.edit \
	news/5.edit \
	news/6.edit \
	news/7.edit \
	news/8.edit \
	news/9.edit \
	reference.edit \
	reference/full_text_search.edit \
	reference/full_text_search/boolean_mode.edit \
	reference/full_text_search/scoring.edit \
	reference/limitations.edit \
	reference/optimizations.edit \
	reference/server_variables.edit \
	reference/sql_commands.edit \
	reference/status_variables.edit \
	reference/udf.edit \
	reference/udf/mroonga_command.edit \
	reference/udf/mroonga_escape.edit \
	reference/udf/mroonga_highlight_html.edit \
	reference/udf/mroonga_last_insert_grn_id.edit \
	reference/udf/mroonga_normalize.edit \
	reference/udf/mroonga_snippet.edit \
	reference/udf/mroonga_snippet_html.edit \
	tutorial.edit \
	tutorial/installation_check.edit \
	tutorial/mode.edit \
	tutorial/storage.edit \
	tutorial/wrapper.edit \
	upgrade.edit \
	$(NULL)

edit_po_files_relative_from_locale_dir = \
	LC_MESSAGES/characteristic.edit \
	LC_MESSAGES/community.edit \
	LC_MESSAGES/conf.edit \
	LC_MESSAGES/contribution.edit \
	LC_MESSAGES/contribution/documentation.edit \
	LC_MESSAGES/contribution/report.edit \
	LC_MESSAGES/developer.edit \
	LC_MESSAGES/developer/coding_style.edit \
	LC_MESSAGES/developer/debug.edit \
	LC_MESSAGES/developer/release.edit \
	LC_MESSAGES/faq.edit \
	LC_MESSAGES/faq/mmap_cannot_allocate_memory.edit \
	LC_MESSAGES/index.edit \
	LC_MESSAGES/install.edit \
	LC_MESSAGES/install/almalinux.edit \
	LC_MESSAGES/install/centos.edit \
	LC_MESSAGES/install/debian.edit \
	LC_MESSAGES/install/docker.edit \
	LC_MESSAGES/install/fedora.edit \
	LC_MESSAGES/install/macos.edit \
	LC_MESSAGES/install/oracle-linux.edit \
	LC_MESSAGES/install/others.edit \
	LC_MESSAGES/install/ubuntu.edit \
	LC_MESSAGES/install/windows.edit \
	LC_MESSAGES/news.edit \
	LC_MESSAGES/news/0.edit \
	LC_MESSAGES/news/1.edit \
	LC_MESSAGES/news/10.edit \
	LC_MESSAGES/news/11.edit \
	LC_MESSAGES/news/12.edit \
	LC_MESSAGES/news/13.edit \
	LC_MESSAGES/news/14.edit \
	LC_MESSAGES/news/15.edit \
	LC_MESSAGES/news/16.edit \
	LC_MESSAGES/news/2.edit \
	LC_MESSAGES/news/3.edit \
	LC_MESSAGES/news/4.edit \
	LC_MESSAGES/news/5.edit \
	LC_MESSAGES/news/6.edit \
	LC_MESSAGES/news/7.edit \
	LC_MESSAGES/news/8.edit \
	LC_MESSAGES/news/9.edit \
	LC_MESSAGES/reference.edit \
	LC_MESSAGES/reference/full_text_search.edit \
	LC_MESSAGES/reference/full_text_search/boolean_mode.edit \
	LC_MESSAGES/reference/full_text_search/scoring.edit \
	LC_MESSAGES/reference/limitations.edit \
	LC_MESSAGES/reference/optimizations.edit \
	LC_MESSAGES/reference/server_variables.edit \
	LC_MESSAGES/reference/sql_commands.edit \
	LC_MESSAGES/reference/status_variables.edit \
	LC_MESSAGES/reference/udf.edit \
	LC_MESSAGES/reference/udf/mroonga_command.edit \
	LC_MESSAGES/reference/udf/mroonga_escape.edit \
	LC_MESSAGES/reference/udf/mroonga_highlight_html.edit \
	LC_MESSAGES/reference/udf/mroonga_last_insert_grn_id.edit \
	LC_MESSAGES/reference/udf/mroonga_normalize.edit \
	LC_MESSAGES/reference/udf/mroonga_snippet.edit \
	LC_MESSAGES/reference/udf/mroonga_snippet_html.edit \
	LC_MESSAGES/tutorial.edit \
	LC_MESSAGES/tutorial/installation_check.edit \
	LC_MESSAGES/tutorial/mode.edit \
	LC_MESSAGES/tutorial/storage.edit \
	LC_MESSAGES/tutorial/wrapper.edit \
	LC_MESSAGES/upgrade.edit \
	$(NULL)

mo_files = \
	characteristic.mo \
	community.mo \
	conf.mo \
	contribution.mo \
	contribution/documentation.mo \
	contribution/report.mo \
	developer.mo \
	developer/coding_style.mo \
	developer/debug.mo \
	developer/release.mo \
	faq.mo \
	faq/mmap_cannot_allocate_memory.mo \
	index.mo \
	install.mo \
	install/almalinux.mo \
	install/centos.mo \
	install/debian.mo \
	install/docker.mo \
	install/fedora.mo \
	install/macos.mo \
	install/oracle-linux.mo \
	install/others.mo \
	install/ubuntu.mo \
	install/windows.mo \
	news.mo \
	news/0.mo \
	news/1.mo \
	news/10.mo \
	news/11.mo \
	news/12.mo \
	news/13.mo \
	news/14.mo \
	news/15.mo \
	news/16.mo \
	news/2.mo \
	news/3.mo \
	news/4.mo \
	news/5.mo \
	news/6.mo \
	news/7.mo \
	news/8.mo \
	news/9.mo \
	reference.mo \
	reference/full_text_search.mo \
	reference/full_text_search/boolean_mode.mo \
	reference/full_text_search/scoring.mo \
	reference/limitations.mo \
	reference/optimizations.mo \
	reference/server_variables.mo \
	reference/sql_commands.mo \
	reference/status_variables.mo \
	reference/udf.mo \
	reference/udf/mroonga_command.mo \
	reference/udf/mroonga_escape.mo \
	reference/udf/mroonga_highlight_html.mo \
	reference/udf/mroonga_last_insert_grn_id.mo \
	reference/udf/mroonga_normalize.mo \
	reference/udf/mroonga_snippet.mo \
	reference/udf/mroonga_snippet_html.mo \
	tutorial.mo \
	tutorial/installation_check.mo \
	tutorial/mode.mo \
	tutorial/storage.mo \
	tutorial/wrapper.mo \
	upgrade.mo \
	$(NULL)

mo_files_relative_from_locale_dir = \
	LC_MESSAGES/characteristic.mo \
	LC_MESSAGES/community.mo \
	LC_MESSAGES/conf.mo \
	LC_MESSAGES/contribution.mo \
	LC_MESSAGES/contribution/documentation.mo \
	LC_MESSAGES/contribution/report.mo \
	LC_MESSAGES/developer.mo \
	LC_MESSAGES/developer/coding_style.mo \
	LC_MESSAGES/developer/debug.mo \
	LC_MESSAGES/developer/release.mo \
	LC_MESSAGES/faq.mo \
	LC_MESSAGES/faq/mmap_cannot_allocate_memory.mo \
	LC_MESSAGES/index.mo \
	LC_MESSAGES/install.mo \
	LC_MESSAGES/install/almalinux.mo \
	LC_MESSAGES/install/centos.mo \
	LC_MESSAGES/install/debian.mo \
	LC_MESSAGES/install/docker.mo \
	LC_MESSAGES/install/fedora.mo \
	LC_MESSAGES/install/macos.mo \
	LC_MESSAGES/install/oracle-linux.mo \
	LC_MESSAGES/install/others.mo \
	LC_MESSAGES/install/ubuntu.mo \
	LC_MESSAGES/install/windows.mo \
	LC_MESSAGES/news.mo \
	LC_MESSAGES/news/0.mo \
	LC_MESSAGES/news/1.mo \
	LC_MESSAGES/news/10.mo \
	LC_MESSAGES/news/11.mo \
	LC_MESSAGES/news/12.mo \
	LC_MESSAGES/news/13.mo \
	LC_MESSAGES/news/14.mo \
	LC_MESSAGES/news/15.mo \
	LC_MESSAGES/news/16.mo \
	LC_MESSAGES/news/2.mo \
	LC_MESSAGES/news/3.mo \
	LC_MESSAGES/news/4.mo \
	LC_MESSAGES/news/5.mo \
	LC_MESSAGES/news/6.mo \
	LC_MESSAGES/news/7.mo \
	LC_MESSAGES/news/8.mo \
	LC_MESSAGES/news/9.mo \
	LC_MESSAGES/reference.mo \
	LC_MESSAGES/reference/full_text_search.mo \
	LC_MESSAGES/reference/full_text_search/boolean_mode.mo \
	LC_MESSAGES/reference/full_text_search/scoring.mo \
	LC_MESSAGES/reference/limitations.mo \
	LC_MESSAGES/reference/optimizations.mo \
	LC_MESSAGES/reference/server_variables.mo \
	LC_MESSAGES/reference/sql_commands.mo \
	LC_MESSAGES/reference/status_variables.mo \
	LC_MESSAGES/reference/udf.mo \
	LC_MESSAGES/reference/udf/mroonga_command.mo \
	LC_MESSAGES/reference/udf/mroonga_escape.mo \
	LC_MESSAGES/reference/udf/mroonga_highlight_html.mo \
	LC_MESSAGES/reference/udf/mroonga_last_insert_grn_id.mo \
	LC_MESSAGES/reference/udf/mroonga_normalize.mo \
	LC_MESSAGES/reference/udf/mroonga_snippet.mo \
	LC_MESSAGES/reference/udf/mroonga_snippet_html.mo \
	LC_MESSAGES/tutorial.mo \
	LC_MESSAGES/tutorial/installation_check.mo \
	LC_MESSAGES/tutorial/mode.mo \
	LC_MESSAGES/tutorial/storage.mo \
	LC_MESSAGES/tutorial/wrapper.mo \
	LC_MESSAGES/upgrade.mo \
	$(NULL)

html_files_relative_from_locale_dir = \
	html/_images/storage-mode.png \
	html/_images/wrapper-mode.png \
	html/_static/basic.css \
	html/_static/doctools.js \
	html/_static/documentation_options.js \
	html/_static/favicon.ico \
	html/_static/file.png \
	html/_static/language_data.js \
	html/_static/minus.png \
	html/_static/mroonga.png \
	html/_static/plus.png \
	html/_static/pygments.css \
	html/_static/scripts/bootstrap.js \
	html/_static/scripts/bootstrap.js.LICENSE.txt \
	html/_static/scripts/bootstrap.js.map \
	html/_static/scripts/fontawesome.js \
	html/_static/scripts/fontawesome.js.LICENSE.txt \
	html/_static/scripts/fontawesome.js.map \
	html/_static/scripts/pydata-sphinx-theme.js \
	html/_static/scripts/pydata-sphinx-theme.js.map \
	html/_static/searchtools.js \
	html/_static/sphinx_highlight.js \
	html/_static/styles/pydata-sphinx-theme.css \
	html/_static/styles/pydata-sphinx-theme.css.map \
	html/_static/styles/theme.css \
	html/_static/switcher.json \
	html/_static/vendor/fontawesome/webfonts/fa-brands-400.ttf \
	html/_static/vendor/fontawesome/webfonts/fa-brands-400.woff2 \
	html/_static/vendor/fontawesome/webfonts/fa-regular-400.ttf \
	html/_static/vendor/fontawesome/webfonts/fa-regular-400.woff2 \
	html/_static/vendor/fontawesome/webfonts/fa-solid-900.ttf \
	html/_static/vendor/fontawesome/webfonts/fa-solid-900.woff2 \
	html/_static/webpack-macros.html \
	html/characteristic.html \
	html/community.html \
	html/contribution.html \
	html/contribution/documentation.html \
	html/contribution/report.html \
	html/developer.html \
	html/developer/coding_style.html \
	html/developer/debug.html \
	html/developer/release.html \
	html/faq.html \
	html/faq/mmap_cannot_allocate_memory.html \
	html/genindex.html \
	html/index.html \
	html/install.html \
	html/install/almalinux.html \
	html/install/centos.html \
	html/install/debian.html \
	html/install/docker.html \
	html/install/fedora.html \
	html/install/macos.html \
	html/install/oracle-linux.html \
	html/install/others.html \
	html/install/ubuntu.html \
	html/install/windows.html \
	html/news.html \
	html/news/0.html \
	html/news/1.html \
	html/news/10.html \
	html/news/11.html \
	html/news/12.html \
	html/news/13.html \
	html/news/14.html \
	html/news/15.html \
	html/news/16.html \
	html/news/2.html \
	html/news/3.html \
	html/news/4.html \
	html/news/5.html \
	html/news/6.html \
	html/news/7.html \
	html/news/8.html \
	html/news/9.html \
	html/objects.inv \
	html/reference.html \
	html/reference/full_text_search.html \
	html/reference/full_text_search/boolean_mode.html \
	html/reference/full_text_search/scoring.html \
	html/reference/limitations.html \
	html/reference/optimizations.html \
	html/reference/server_variables.html \
	html/reference/sql_commands.html \
	html/reference/status_variables.html \
	html/reference/udf.html \
	html/reference/udf/mroonga_command.html \
	html/reference/udf/mroonga_escape.html \
	html/reference/udf/mroonga_highlight_html.html \
	html/reference/udf/mroonga_last_insert_grn_id.html \
	html/reference/udf/mroonga_normalize.html \
	html/reference/udf/mroonga_snippet.html \
	html/reference/udf/mroonga_snippet_html.html \
	html/search.html \
	html/searchindex.js \
	html/tutorial.html \
	html/tutorial/installation_check.html \
	html/tutorial/mode.html \
	html/tutorial/storage.html \
	html/tutorial/wrapper.html \
	html/upgrade.html \
	$(NULL)


# You can set these variables from the command line.
DOCTREES_BASE = doctrees
SPHINXOPTS = 
PAPER = 

# Internal variables.
SOURCE_DIR = $(abs_top_srcdir)/doc/source
PAPEROPT_a4 = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS = $(PAPEROPT_$(PAPER)) -E $(SPHINXOPTS) $(SOURCE_DIR)
SPHINX_BUILD_COMMAND = \
	DOCUMENT_VERSION="$(DOCUMENT_VERSION)"			\
	DOCUMENT_VERSION_FULL="$(DOCUMENT_VERSION_FULL)"	\
	LOCALE="$(LOCALE)"					\
	PACKAGE_MARIADB_VERSION="$(PACKAGE_MARIADB_VERSION)"	\
	PACKAGE_MROONGA_VERSION="$(VERSION)"			\
	$(SPHINX_BUILD)

am__nobase_dist_doc_locale_DATA_DIST = $(am__append_1)
@DOCUMENT_AVAILABLE_TRUE@doc_localedir = $(docdir)/$(LOCALE)
@DOCUMENT_AVAILABLE_TRUE@nobase_dist_doc_locale_DATA = \
@DOCUMENT_AVAILABLE_TRUE@	$(html_files_relative_from_locale_dir)

document_source_files = \
	$(absolute_source_files)		\
	$(absolute_theme_files)			\
	$(po_files_relative_from_locale_dir)	\
	$(mo_files_relative_from_locale_dir)

required_build_stamps = \
	html-build-stamp			\
	man-build-stamp				\
	mo-build-stamp

man_files = \
	man/$(PACKAGE_NAME).1

generated_files = \
	$(DOCTREES_BASE)			\
	man					\
	man-build-stamp				\
	html					\
	html-build-stamp			\
	pdf					\
	pdf-build-stamp				\
	dirhtml					\
	dirhtml-build-stamp			\
	pickle					\
	pikcle-build-stamp			\
	json					\
	json-build-stamp			\
	htmlhelp				\
	htmlhelp-build-stamp			\
	qthelp					\
	qthelp-build-stamp			\
	latex					\
	latex-build-stamp			\
	changes					\
	changes-build-stamp			\
	linkcheck				\
	linkcheck-build-stamp			\
	doctest

@DOCUMENT_BUILDABLE_TRUE@clean_targets = \
@DOCUMENT_BUILDABLE_TRUE@	clean-man				\
@DOCUMENT_BUILDABLE_TRUE@	clean-html				\
@DOCUMENT_BUILDABLE_TRUE@	clean-dirhtml				\
@DOCUMENT_BUILDABLE_TRUE@	clean-pickle				\
@DOCUMENT_BUILDABLE_TRUE@	clean-json				\
@DOCUMENT_BUILDABLE_TRUE@	clean-htmlhelp				\
@DOCUMENT_BUILDABLE_TRUE@	clean-qthelp				\
@DOCUMENT_BUILDABLE_TRUE@	clean-latex				\
@DOCUMENT_BUILDABLE_TRUE@	clean-rdoc				\
@DOCUMENT_BUILDABLE_TRUE@	clean-textile				\
@DOCUMENT_BUILDABLE_TRUE@	clean-changes				\
@DOCUMENT_BUILDABLE_TRUE@	clean-linkcheck				\
@DOCUMENT_BUILDABLE_TRUE@	clean-doctest

@DOCUMENT_BUILDABLE_TRUE@build_stamps = \
@DOCUMENT_BUILDABLE_TRUE@	man-build-stamp				\
@DOCUMENT_BUILDABLE_TRUE@	html-build-stamp			\
@DOCUMENT_BUILDABLE_TRUE@	dirhtml-build-stamp			\
@DOCUMENT_BUILDABLE_TRUE@	pickle-build-stamp			\
@DOCUMENT_BUILDABLE_TRUE@	json-build-stamp			\
@DOCUMENT_BUILDABLE_TRUE@	htmlhelp-build-stamp			\
@DOCUMENT_BUILDABLE_TRUE@	qthelp-build-stamp			\
@DOCUMENT_BUILDABLE_TRUE@	latex-build-stamp			\
@DOCUMENT_BUILDABLE_TRUE@	rdoc-build-stamp			\
@DOCUMENT_BUILDABLE_TRUE@	textile-build-stamp			\
@DOCUMENT_BUILDABLE_TRUE@	changes-build-stamp			\
@DOCUMENT_BUILDABLE_TRUE@	linkcheck-build-stamp			\
@DOCUMENT_BUILDABLE_TRUE@	doctest-build-stamp

@DOCUMENT_AVAILABLE_TRUE@dist_man1_MANS = $(man_files)
all: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) all-recursive

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/build/makefiles/locale.am $(top_srcdir)/build/makefiles/sphinx.am $(top_srcdir)/doc/files.am $(top_srcdir)/build/makefiles/sphinx-build.am $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/locale/en/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign doc/locale/en/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
	esac;
$(top_srcdir)/build/makefiles/locale.am $(top_srcdir)/build/makefiles/sphinx.am $(top_srcdir)/doc/files.am $(top_srcdir)/build/makefiles/sphinx-build.am $(am__empty):

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
install-man1: $(dist_man1_MANS)
	@$(NORMAL_INSTALL)
	@list1='$(dist_man1_MANS)'; \
	list2=''; \
	test -n "$(man1dir)" \
	  && test -n "`echo $$list1$$list2`" \
	  || exit 0; \
	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
	{ for i in $$list1; do echo "$$i"; done;  \
	if test -n "$$list2"; then \
	  for i in $$list2; do echo "$$i"; done \
	    | sed -n '/\.1[a-z]*$$/p'; \
	fi; \
	} | while read p; do \
	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
	  echo "$$d$$p"; echo "$$p"; \
	done | \
	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
	sed 'N;N;s,\n, ,g' | { \
	list=; while read file base inst; do \
	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
	  fi; \
	done; \
	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
	while read files; do \
	  test -z "$$files" || { \
	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
	done; }

uninstall-man1:
	@$(NORMAL_UNINSTALL)
	@list='$(dist_man1_MANS)'; test -n "$(man1dir)" || exit 0; \
	files=`{ for i in $$list; do echo "$$i"; done; \
	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
install-nobase_dist_doc_localeDATA: $(nobase_dist_doc_locale_DATA)
	@$(NORMAL_INSTALL)
	@list='$(nobase_dist_doc_locale_DATA)'; test -n "$(doc_localedir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(doc_localedir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(doc_localedir)" || exit 1; \
	fi; \
	$(am__nobase_list) | while read dir files; do \
	  xfiles=; for file in $$files; do \
	    if test -f "$$file"; then xfiles="$$xfiles $$file"; \
	    else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
	  test -z "$$xfiles" || { \
	    test "x$$dir" = x. || { \
	      echo " $(MKDIR_P) '$(DESTDIR)$(doc_localedir)/$$dir'"; \
	      $(MKDIR_P) "$(DESTDIR)$(doc_localedir)/$$dir"; }; \
	    echo " $(INSTALL_DATA) $$xfiles '$(DESTDIR)$(doc_localedir)/$$dir'"; \
	    $(INSTALL_DATA) $$xfiles "$(DESTDIR)$(doc_localedir)/$$dir" || exit $$?; }; \
	done

uninstall-nobase_dist_doc_localeDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(nobase_dist_doc_locale_DATA)'; test -n "$(doc_localedir)" || list=; \
	$(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
	dir='$(DESTDIR)$(doc_localedir)'; $(am__uninstall_files_from_dir)

# This directory's subdirectories are mostly independent; you can cd
# into them and run 'make' without going through this Makefile.
# To change the values of 'make' variables: instead of editing Makefiles,
# (1) if the variable is set in 'config.status', edit 'config.status'
#     (which will cause the Makefiles to be regenerated when you run 'make');
# (2) otherwise, pass the desired values on the 'make' command line.
$(am__recursive_targets):
	@fail=; \
	if $(am__make_keepgoing); then \
	  failcom='fail=yes'; \
	else \
	  failcom='exit 1'; \
	fi; \
	dot_seen=no; \
	target=`echo $@ | sed s/-recursive//`; \
	case "$@" in \
	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
	  *) list='$(SUBDIRS)' ;; \
	esac; \
	for subdir in $$list; do \
	  echo "Making $$target in $$subdir"; \
	  if test "$$subdir" = "."; then \
	    dot_seen=yes; \
	    local_target="$$target-am"; \
	  else \
	    local_target="$$target"; \
	  fi; \
	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
	  || eval $$failcom; \
	done; \
	if test "$$dot_seen" = "no"; then \
	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
	fi; test -z "$$fail"

ID: $(am__tagged_files)
	$(am__define_uniq_tagged_files); mkid -fID $$unique
tags: tags-recursive
TAGS: tags

tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	set x; \
	here=`pwd`; \
	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
	  include_option=--etags-include; \
	  empty_fix=.; \
	else \
	  include_option=--include; \
	  empty_fix=; \
	fi; \
	list='$(SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    test ! -f $$subdir/TAGS || \
	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
	  fi; \
	done; \
	$(am__define_uniq_tagged_files); \
	shift; \
	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  if test $$# -gt 0; then \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      "$$@" $$unique; \
	  else \
	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	      $$unique; \
	  fi; \
	fi
ctags: ctags-recursive

CTAGS: ctags
ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
	$(am__define_uniq_tagged_files); \
	test -z "$(CTAGS_ARGS)$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && $(am__cd) $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) "$$here"
cscopelist: cscopelist-recursive

cscopelist-am: $(am__tagged_files)
	list='$(am__tagged_files)'; \
	case "$(srcdir)" in \
	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
	  *) sdir=$(subdir)/$(srcdir) ;; \
	esac; \
	for i in $$list; do \
	  if test -f "$$i"; then \
	    echo "$(subdir)/$$i"; \
	  else \
	    echo "$$sdir/$$i"; \
	  fi; \
	done >> $(top_builddir)/cscope.files

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
distdir: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) distdir-am

distdir-am: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d "$(distdir)/$$file"; then \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
	    fi; \
	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
	  else \
	    test -f "$(distdir)/$$file" \
	    || cp -p $$d/$$file "$(distdir)/$$file" \
	    || exit 1; \
	  fi; \
	done
	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
	  if test "$$subdir" = .; then :; else \
	    $(am__make_dryrun) \
	      || test -d "$(distdir)/$$subdir" \
	      || $(MKDIR_P) "$(distdir)/$$subdir" \
	      || exit 1; \
	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
	    $(am__relativize); \
	    new_distdir=$$reldir; \
	    dir1=$$subdir; dir2="$(top_distdir)"; \
	    $(am__relativize); \
	    new_top_distdir=$$reldir; \
	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
	    ($(am__cd) $$subdir && \
	      $(MAKE) $(AM_MAKEFLAGS) \
	        top_distdir="$$new_top_distdir" \
	        distdir="$$new_distdir" \
		am__remove_distdir=: \
		am__skip_length_check=: \
		am__skip_mode_fix=: \
	        distdir) \
	      || exit 1; \
	  fi; \
	done
check-am: all-am
check: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) check-recursive
all-am: Makefile $(MANS) $(DATA)
installdirs: installdirs-recursive
installdirs-am:
	for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(doc_localedir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-recursive
install-exec: $(BUILT_SOURCES)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-recursive
install-data: install-data-recursive
uninstall: uninstall-recursive

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-recursive
install-strip:
	if test -z '$(STRIP)'; then \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	      install; \
	else \
	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
	fi
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
@DOCUMENT_BUILDABLE_FALSE@clean-local:
@DOCUMENT_BUILDABLE_FALSE@maintainer-clean-local:
clean: clean-recursive

clean-am: clean-generic clean-libtool clean-local mostlyclean-am

distclean: distclean-recursive
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-tags

dvi: dvi-recursive

dvi-am:

@DOCUMENT_BUILDABLE_FALSE@html: html-recursive

html-am:

info: info-recursive

info-am:

install-data-am: install-man install-nobase_dist_doc_localeDATA

install-dvi: install-dvi-recursive

install-dvi-am:

install-exec-am:

install-html: install-html-recursive

install-html-am:

install-info: install-info-recursive

install-info-am:

install-man: install-man1

install-pdf: install-pdf-recursive

install-pdf-am:

install-ps: install-ps-recursive

install-ps-am:

installcheck-am:

maintainer-clean: maintainer-clean-recursive
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic \
	maintainer-clean-local

mostlyclean: mostlyclean-recursive

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-recursive

pdf-am:

ps: ps-recursive

ps-am:

uninstall-am: uninstall-man uninstall-nobase_dist_doc_localeDATA

uninstall-man: uninstall-man1

.MAKE: $(am__recursive_targets) all check install install-am \
	install-exec install-strip

.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
	check-am clean clean-generic clean-libtool clean-local \
	cscopelist-am ctags ctags-am distclean distclean-generic \
	distclean-libtool distclean-tags distdir dvi dvi-am html \
	html-am info info-am install install-am install-data \
	install-data-am install-dvi install-dvi-am install-exec \
	install-exec-am install-html install-html-am install-info \
	install-info-am install-man install-man1 \
	install-nobase_dist_doc_localeDATA install-pdf install-pdf-am \
	install-ps install-ps-am install-strip installcheck \
	installcheck-am installdirs installdirs-am maintainer-clean \
	maintainer-clean-generic maintainer-clean-local mostlyclean \
	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
	tags tags-am uninstall uninstall-am uninstall-man \
	uninstall-man1 uninstall-nobase_dist_doc_localeDATA

.PRECIOUS: Makefile


$(html_files): html-build-stamp
$(html_files_relative_from_locale_dir): html-build-stamp
$(man_files): man-build-stamp

$(mo_files_relative_from_locale_dir): mo-build-stamp

mo-build-stamp: $(po_files_relative_from_locale_dir)
	cd LC_MESSAGES && $(MAKE) build
	@touch $@

@DOCUMENT_BUILDABLE_TRUE@clean-local: $(clean_targets) clean-doctrees

@DOCUMENT_BUILDABLE_TRUE@clean-doctrees:
@DOCUMENT_BUILDABLE_TRUE@	rm -rf $(DOCTREES_BASE)

@DOCUMENT_BUILDABLE_TRUE@maintainer-clean-local:
@DOCUMENT_BUILDABLE_TRUE@	rm -rf -- $(generated_files)

.PHONY: help
.PHONY: man clean-man
.PHONY: html clean-html
.PHONY: pdf
.PHONY: dirhtml
.PHONY: pickle
.PHONY: json
.PHONY: htmlhelp
.PHONY: qthelp
.PHONY: latex
.PHONY: changes
.PHONY: linkcheck
.PHONY: doctest

@DOCUMENT_BUILDABLE_TRUE@help:
@DOCUMENT_BUILDABLE_TRUE@	@echo "Please use \`make <target>' where <target> is one of"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  man       to make man files"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  html      to make standalone HTML files"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  dirhtml   to make HTML files named index.html in directories"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  pickle    to make pickle files"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  json      to make JSON files"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  htmlhelp  to make HTML files and a HTML help project"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  qthelp    to make HTML files and a qthelp project"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  rdoc      to make RDoc files"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  textile   to make Textile files"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  changes   to make an overview of all changed/added/deprecated items"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  linkcheck to check all external links for integrity"
@DOCUMENT_BUILDABLE_TRUE@	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

@DOCUMENT_BUILDABLE_TRUE@man: man-build-stamp
@DOCUMENT_BUILDABLE_TRUE@html: html-recursive html-build-stamp
@DOCUMENT_BUILDABLE_TRUE@dirhtml: dirhtml-build-stamp
@DOCUMENT_BUILDABLE_TRUE@pickle: pickle-build-stamp
@DOCUMENT_BUILDABLE_TRUE@json: json-build-stamp
@DOCUMENT_BUILDABLE_TRUE@htmlhelp: htmlhelp-build-stamp
@DOCUMENT_BUILDABLE_TRUE@qthelp: qthelp-build-stamp
@DOCUMENT_BUILDABLE_TRUE@latex: latex-build-stamp
@DOCUMENT_BUILDABLE_TRUE@rdoc: rdoc-build-stamp
@DOCUMENT_BUILDABLE_TRUE@textile: textile-build-stamp
@DOCUMENT_BUILDABLE_TRUE@changes: changes-build-stamp
@DOCUMENT_BUILDABLE_TRUE@linkcheck: linkcheck-build-stamp
@DOCUMENT_BUILDABLE_TRUE@doctest: doctest-build-stamp

@DOCUMENT_BUILDABLE_TRUE@$(clean_targets):
@DOCUMENT_BUILDABLE_TRUE@	target=`echo $@ | sed -e 's/^clean-//'`;	\
@DOCUMENT_BUILDABLE_TRUE@	  rm -rf $${target}-build-stamp $${target}

@DOCUMENT_BUILDABLE_TRUE@$(build_stamps): $(document_source_files)
@DOCUMENT_BUILDABLE_TRUE@	target=`echo $@ | sed -e 's/-build-stamp$$//'`;	\
@DOCUMENT_BUILDABLE_TRUE@	  $(SPHINX_BUILD_COMMAND)			\
@DOCUMENT_BUILDABLE_TRUE@	    -Dlanguage=$(LOCALE)			\
@DOCUMENT_BUILDABLE_TRUE@	    -d $(DOCTREES_BASE)/$${target}		\
@DOCUMENT_BUILDABLE_TRUE@	    -b $${target}				\
@DOCUMENT_BUILDABLE_TRUE@	    $(ALLSPHINXOPTS)				\
@DOCUMENT_BUILDABLE_TRUE@	    $${target}
@DOCUMENT_BUILDABLE_TRUE@	@touch $@

@DOCUMENT_BUILDABLE_TRUE@qthelp: qthelp-message
@DOCUMENT_BUILDABLE_TRUE@qthelp-message: qthelp-build-stamp
@DOCUMENT_BUILDABLE_TRUE@	@echo "Build finished; now you can run 'qcollectiongenerator' with the" \
@DOCUMENT_BUILDABLE_TRUE@	      ".qhcp project file in qthelp/*, like this:"
@DOCUMENT_BUILDABLE_TRUE@	@echo "# qcollectiongenerator qthelp/groonga.qhcp"
@DOCUMENT_BUILDABLE_TRUE@	@echo "To view the help file:"
@DOCUMENT_BUILDABLE_TRUE@	@echo "# assistant -collectionFile qthelp/groonga.qhc"

@DOCUMENT_BUILDABLE_TRUE@latex: latex-message
@DOCUMENT_BUILDABLE_TRUE@latex-message: latex-build-stamp
@DOCUMENT_BUILDABLE_TRUE@	@echo "Build finished; the LaTeX files are in latex/*."
@DOCUMENT_BUILDABLE_TRUE@	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
@DOCUMENT_BUILDABLE_TRUE@	      "run these through (pdf)latex."

init:
	cd LC_MESSAGES && $(MAKE) $@

update-po:
	cd LC_MESSAGES && $(MAKE) update

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
